Enhavo
Indekso 🔎︎

# Timer Function

Liveras valoron kiu specifas la nombron da sekundoj pasintaj de post noktomezo.

Necesas unue deklari variablon por voli la funkcion Timer kaj atribui ĝin al la datumtipo "Long ", alie liveriĝas data valoro.

### Syntax:

      Timer

### Return value:

Dato

### Example:

      Sub ExampleTimer
          Dim lSec As Long,lMin As Long,lHour As Long
          lSec = Timer
          MsgBox lSec, 0, "Seconds since midnight"
          lMin = lSec / 60
          lSec = lSec Mod 60
          lHour = lMin / 60
          lMin = lMin Mod 60
        MsgBox Right("00" & lHour , 2) & ":"& Right("00" & lMin , 2) & ":" & Right("00" & lSec , 2), 0, "The time is"
    End Sub

The Timer function measures time in seconds. To measure time in milliseconds use the Timer service available in the ScriptForge library.

Rilataj temoj

ScriptForge.Timer service